//
// Created by sebastian on 29.07.26.
//

#include "Layer.h"

void engine::Layer::onAttach(InputContextStack &inputStack) {
    m_inputStack = &inputStack;
    m_context = std::make_shared<InputContext>();
    inputStack.push(m_context);
    onAttachImpl();
}

void engine::Layer::onDetach(InputContextStack &inputStack) {
    inputStack.pop();
    onDetachImpl();
}
